var xmlHttp
function getRegion(str)
{ 
xmlHttp=GetXmlHttpObject();
if (xmlHttp==null)
  {
  alert ("Your browser does not support AJAX!");
  return;
  }
var url="getRegion.aspx";
url=url+"?companyID="+str;
url=url+"&sid="+Math.random();
    if(window.ActiveXObject)
    {
        xmlHttp.onreadystatechange=stateChanged;
        xmlHttp.open("GET",url,true);
        xmlHttp.send(null);
    }
    else if(window.XMLHttpRequest)
    {
        xmlHttp.open("GET",url,false);
        xmlHttp.send(null);
        xmlHttp.onreadystatechange=stateChanged();
    }
}
function stateChanged() 
{ 
if (xmlHttp.readyState==4)
{
var xmlDoc=xmlHttp.responseXML.documentElement;
alert(xmlDoc)
alert(xmlHttp.responseText)
//alert(xmlDoc.getElementsByTagName("Region_Name")[0].childNodes[0].nodeValue)
document.write (xmlHttp.responseText);
/*
var xmlDoc=xmlHttp.responseXML.documentElement;
document.getElementById("companyname").innerHTML=
xmlDoc.getElementsByTagName("compname")[0].childNodes[0].nodeValue;
document.getElementById("contactname").innerHTML=
xmlDoc.getElementsByTagName("contname")[0].childNodes[0].nodeValue;
*/
}
}
function GetXmlHttpObject()
{
var xmlHttp=null;
        if(window.ActiveXObject)
        {    
	        try
	        {
		        xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
	        }
	        catch(e)
	        {
		        try
		        {
			        xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
		        }
		        catch(e1)
		        {
			        xmlHttp = null;
		        }
	        }
        }  
         else if(window.XMLHttpRequest)
         {
	        try
	        {
		        xmlHttp = new XMLHttpRequest("Msxml2.XMLHTTP");
	        }
	        catch(e)
	        {
		        try
		        {
			        xmlHttp = new XMLHttpRequest("Microsoft.XMLHTTP");
		        }
		        catch(e1)
		        {
			        xmlHttp = null;
		        }
	        }
        }
//try
//  {
//  // Firefox, Opera 8.0+, Safari
//  xmlHttp=new XMLHttpRequest();
//  }
//catch (e)
//  {
//  // Internet Explorer
//  try
//    {
//    xmlHttp=new ActiveXObject("Msxml2.XMLHTTP");
//    }
//  catch (e)
//    {
//    xmlHttp=new ActiveXObject("Microsoft.XMLHTTP");
//    }
//  }
return xmlHttp;
}